var a = getApp();

Page({
    data: {
        url: "",
        blist: {},
        op: ""
    },
    onLoad: function(t) {
        var e = this;
        a.util.footer(e);
        var o = a.siteInfo.uniacid, r = wx.getStorageSync("navurl"), i = t.op;
        this.setData({
            op: i
        }), r ? (r = r.split("webview?url=")[1], this.setData({
            url: r
        })) : a.util.request({
            url: "entry/wxapp/GetWebUrl",
            data: {
                m: "yyf_company",
                uniacid: o,
                op: i
            },
            cachetime: 0,
            success: function(a) {
                a.data.errno || e.setData({
                    url: a.data.data
                });
            }
        }), a.util.request({
            url: "entry/wxapp/TabBar",
            data: {
                m: "yyf_company",
                uniacid: o
            },
            cachetime: 0,
            success: function(a) {
                if (!a.data.errno) {
                    var t = wx.getStorageSync("barlist");
                    "" != t && t.uptime == a.data.data.uptime || wx.setStorageSync("barlist", a.data.data);
                    var e, o;
                    e = "" != t.font_color ? t.font_color : "#ffffff", o = "" != t.head_color ? t.head_color : t.tcolor, 
                    wx.setNavigationBarColor({
                        frontColor: e,
                        backgroundColor: o
                    });
                }
            }
        });
    },
    onShareAppMessage: function(a) {
        return console.log("/yyf_company/pages/webview/webview?op=" + this.data.op), {
            path: "/yyf_company/pages/webview/webview?op=" + this.data.op
        };
    }
});